<MeanCloud_Fishing>

  <append xpath="/buffs/buff[@name='buffStatusCheck01']">
  
    <effect_group name="fishingWater">
			<triggered_effect trigger="onSelfBuffUpdate" action="AddBuff" buff="fishingWater">
        <requirement name="CVarCompare" cvar="_wetness" operation="GT" value="0"/>
        <requirement name="CVarCompare" cvar="_coretemp" operation="GT" value="-10"/>
      </triggered_effect>
			<triggered_effect trigger="onSelfBuffUpdate" action="RemoveBuff" buff="fishingWater">
        <requirement name="CVarCompare" cvar="_wetness" operation="LTE" value="0"/>
      </triggered_effect>
			<triggered_effect trigger="onSelfBuffUpdate" action="RemoveBuff" buff="fishingWater">
        <requirement name="CVarCompare" cvar="_coretemp" operation="LTE" value="-10"/>
      </triggered_effect>
    </effect_group>
    
  </append>
    
  <append xpath="/buffs">
  
    <buff name="fishingWater" duration="0" name_key="fishingWater" description_key="fishingWaterDesc" icon="ui_game_symbol_talk"/>
    
  </append>

</MeanCloud_Fishing>
